// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	event.create('botanic_core').displayName('Botanic Core')
	event.create('psionic_core').displayName('Psionic Core')
	event.create('quarkian_core').displayName('Quarkian Core')
	event.create('rattatic_core').displayName('Rattatic Core')
	event.create('aqueous_core').displayName('Aqueous Core')
	event.create('environmental_core').displayName('Environmental Core')
	event.create('creator_core').displayName('Mechanical Core')
	event.create('tinkers_core').displayName('Tinkers Core')
	event.create('oleam_crystal').displayName('Oleam Crystal')
	event.create('oleam_shard').displayName('Oleam Shard')
	// Register new items here
	// event.create('example_item').displayName('Example Item')
})


var blacklisted_items = ['miniutilities:speed_upgrade', 'miniutilities:angel_ring', 'miniutilities:bat_angel_ring', 'miniutilities:ender_dragon_angel_ring', 'miniutilities:feather_angel_ring', 'miniutilities:gold_angel_ring', 'miniutilities:peacock_angel_ring', 'miniutilities:mechanical_miner', 'miniutilities:mechanical_placer', 'miniutilities:magical_egg', 'miniutilities:quantum_quarry', 'miniutilities:solar_panel', 'miniutilities:lunar_panel', 'miniutilities:solar_panel_controller', 'miniutilities:chorus_tile', 'miniutilities:ender_tile', 'miniutilities:netherite_spikes', 'botania:world_seed']










onEvent('block.registry', event => {
	// Register new blocks here
	// event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})

onEvent('fluid.registry', event => {
	event.create('sunflower_juice').textureThick(0x4D4A49).bucketColor(0x4D4A49).displayName('Sunflower Juice')
	
  })